Bug 478110 - MIGRATED_FROM_JIRA: SSL/TLS Support
MIGRATED_FROM_JIRA: SSL/TLS Support
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:00 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:00:07 EST
Penrose supports secure SSL communication with Penrose clients. However, current implementation requires JVM 1.5 because of the dependency with SSLEngine implementation.
Additional Comments From itegebo dated Sun Mar 12 02:00:31 CST 2006 
SSL/TLS support is important for my organization; I tried setting up the JDBC3 driver for postgresql for SSL support.  I haven't confirmed with a tcpdump, but I got it to "connect" by passing in the following in the URL as per the website:

jdbc:postgresql://localhost/test?ssl=true&sslfactory=org.postgresql.ssl.NonValidatingFactory
http://jdbc.postgresql.org/documentation/80/ssl-client.html

The site also makes this comment:

---
When starting your Java application you must specify this keystore and password to use.

java -Djavax.net.ssl.trustStore=mystore -Djavax.net.ssl.trustStorePassword=mypassword com.mycompany.MyApp
--

I was wondering where you were on this feature.

Additional Comments From jimyang dated Wed May 10 22:01:11 CDT 2006 
Documentation to configure SSL/TLS in Penrose is in the works.

Related documentation: http://docs.safehaus.org/display/APACHEDS/SSL+Enabling

Additional Comments From jimyang dated Thu May 18 13:29:05 CDT 2006 
Enabling SSL in Penrose. 

http://docs.safehaus.org/display/PENROSE10/Services


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-122',
          'assignee' => 'jimyang',
          'summary' => 'SSL/TLS Support',
          'id' => '10344',
          'updated' => '2007-01-13 18:53:17.0',
          'votes' => '1',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Penrose supports secure SSL communication with Penrose clients. However, current implementation requires JVM 1.5 because of the dependency with SSLEngine implementation.',
          'created' => '2005-12-07 13:35:29.0',
          'resolution' => '1',
          'type' => '2'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:00:09 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-122

Note You need to log in before you can comment on or make changes to this bug.